### Function

# RB uri_handle_recursively

#### Declaration [src]

    void
    rb_uri_handle_recursively (
      const char* uri,
      GCancellable* cancel,
      RBUriRecurseFunc func,
      gpointer user_data
    )

#### Description [src]

Calls `func` for each file found under the directory identified by `uri`. If `uri` identifies a file, calls `func` for that instead.

#### Parameters

`uri`

  Type: `const char*`

  URI to visit.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancel`

  Type: `GCancellable`

  An optional `GCancellable` to allow cancellation.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`func`

  Type: `RBUriRecurseFunc`

  Callback function.

`user_data`

  Type: `gpointer`

  Data for callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.